/*------------------------------------*\
    #MAIN-STAGE
\*------------------------------------*/
/**
 * Main stage component with simple donation form.
 */
@import '../1-utils/utils.loader';
@import '../0-settings/settings.components';

$inuit-main-stage-space-vertical: drk-double($inuit-base-space-vertical) !default;

.#{$inuit-namespace}main-stage,
%#{$inuit-namespace}main-stage {
    margin-bottom: $inuit-base-space-vertical-small-only;
    max-width: 100%;
    position: relative;
}

.#{$inuit-namespace}main-stage__title,
%#{$inuit-namespace}main-stage__title {
    color: $drk-color-light-red;
    font-size: $h2-font-size;
    line-height: normal;
    margin: 0;
    padding-left: 25%;
    position: absolute;
    text-align: left;
    top: 5%;
    width: 100%;
    z-index: 1;

    @media #{$medium-up}{
        top: 7%;
        padding-left: 0;
        font-size: $h1-font-size-medium-up;
        text-align: center;
    }

    @media #{$large-up}{
        top: 17%;
        font-size: $h1-font-size-large-up;
    }
}

.#{$inuit-namespace}main-stage__img-wrap,
%#{$inuit-namespace}main-stage__img-wrap {
    margin: 0;
    overflow: hidden;
    width: 100%;
}

.#{$inuit-namespace}main-stage__image,
%#{$inuit-namespace}main-stage__image {
    display: inline-block;
    margin-left: -28%;
    max-width: 200%;
    width: auto;

    @media #{$medium-up} {
        width: 100%;
        max-width: auto;
        margin-left: 0;
    }
}

.#{$inuit-namespace}main-stage__footer,
%#{$inuit-namespace}main-stage__footer {
    padding-top: $inuit-base-space-vertical-small-only;

    @media #{$medium-up} {
        padding-top: drk-halve($inuit-main-stage-space-vertical);
    }
}
